<?php

/**
 * Enregistrement d'un type de contenu "Annonce"
 */
function msk_acf_register_post_types() {
	if (!post_type_exists('msk_annonce')) {
		$annonce_labels = array(
			'name' => 'Petites annonces',
			'singular_name' => 'Petite annonce',
			'add_new' => 'Ajouter nouvelle petite annonce'
		);

		$annonce_args = array(
			'label' => 'Petites annonces',
			'labels' => $annonce_labels,
			'public' => true,
			'publicly_queryable' => true,
			'menu_icon' => 'dashicons-pressthis',
			'show_ui' => true,
			'show_in_rest' => false,
			'rest_base' => '',
			'rewrite' => array('slug' => 'petite-annonce', 'with_front' => false),
			'query_var' => true,
			'supports' => array('title', 'thumbnail', 'author'),
			'menu_position' => 31,
		);

		register_post_type('msk_annonce', $annonce_args);
	}
}
add_action('init', 'msk_acf_register_post_types');


/**
 * Logger dans wp-content/debug.log
 */
function debug_log($log, $var_dump = false) {
	if (true === WP_DEBUG) {
		error_log('--------------------------------- /!\ mosaika acf /!\ --------------------------------- ');
		if (!$var_dump) {
			if ( is_array( $log ) || is_object( $log ) ) error_log( print_r( $log, true ) );
			else error_log( $log );
		} else {
			ob_start();
			var_dump($log);
			error_log(ob_get_contents());
			ob_end_clean();
		}
		error_log('--------------------------------- /!\ mosaika acf /!\ --------------------------------- ');
	}
}


/**
 * Recherche une clé dans une array
 */
function search_by_key($array, $key) {
	$results = array();

	if (is_array($array)) {
		if (isset($array[$key])) {
			$results[] = $array[$key];
		}

		foreach ($array as $subarray) {
			$results = array_merge($results, search_by_key($subarray, $key));
		}
	}

	return $results;
}


/**
 * Recherche d'une valeur d'un champ ACF via son nom (et non sa clé)
 */
function get_acf_post_value($slug = false, $array = false) {
	if (!$array) $array = $_POST['acf'];

	$key = acf_get_field($slug)['key'];
	$results = search_by_key($array, $key);
	
	if (count($results) == 1) return reset($results);
	
	return $results;
}