<?php

//============================
//                            
//  ####     #####    ####  
//  ##  ##  ##   ##  ##     
//  ##  ##  ##   ##  ##     
//  ##  ##  ##   ##  ##     
//  ####     #####    ####  
//                            
//============================
// https://www.advancedcustomfields.com/resources/acf-validate_value/


/**
 * Comparer la valeur de 2 champs pour accepter/refuser leur validation
 * Filtre : acf/validate_value
 */
function msk_acf_compare_2_fields_values($valid, $value, $field, $input) {
	if (!$valid) return $valid;

	$marque = get_acf_post_value('annonce_marque');
	$modele = get_acf_post_value('annonce_modele');
	
	if (empty($marque) && empty($modele)) {
		return 'Il nous faut au moins la marque ou le modèle du produit';
	}

	return $valid;
}
//add_filter('acf/validate_value', 'msk_acf_compare_2_fields_values', 10, 4);
add_filter('acf/validate_value/name=annonce_marque', 'msk_acf_compare_2_fields_values', 10, 4);
add_filter('acf/validate_value/name=annonce_modele', 'msk_acf_compare_2_fields_values', 10, 4);