<?php

//============================
//                            
//  ####     #####    ####  
//  ##  ##  ##   ##  ##     
//  ##  ##  ##   ##  ##     
//  ##  ##  ##   ##  ##     
//  ####     #####    ####  
//                            
//============================
// https://www.advancedcustomfields.com/resources/acf-save_post/


/**
 * Enregistrer la variable d'un champ dans un autre champ du post
 * Filtre : acf/save_post
 */
function msk_acf_save_another_field($post_id) {
	if (get_post_type($post_id) != 'msk_annonce') return;

    $marque = get_field('annonce_marque', $post_id);
	$modele = get_field('annonce_modele', $post_id);
	$espace = (!empty($marque) && !empty($modele)) ? ' ' : '';

    $title = sprintf(
		'%1$s%2$s%3$s',
		$marque,
		$espace,
		$modele
	);

	wp_update_post(
		[
			'ID' => $post_id,
			'post_title' => $title
		]
	);
}

add_action('acf/save_post', 'msk_acf_save_another_field', 20);