<?php
/**
 * Plugin Name:       Mosaika : astuces dév ACF
 * Plugin URI:        https://mosaika.fr/
 * Description:       Trucs et astuces de développeur WordPress pour le plugin ACF
 * Version:           1.0
 * Author:            Mosaika
 * Author URI:        https://mosaika.fr
 * Text Domain:       mosaika
 * Domain Path:       /languages
 */

define('MSK_ACF_PATH', plugin_dir_path(__FILE__));

// Partie 0 : structure initiale nécessaire
require MSK_ACF_PATH . 'inc/0base.php';

// Astuce 1 : enregistrer ses champs dans un dossier de son plugin/thème
require MSK_ACF_PATH . 'inc/1save_acf_fields_in_json_files.php';

// Astuce 2 : désactiver un champ (le rendre non-éditable) -> acf/load_field
require MSK_ACF_PATH . 'inc/2disable_field.php';

// Astuce 3 : charger dynamiquement les choix (<options>) dans un select -> acf/load_field
require MSK_ACF_PATH . 'inc/3dynamic_select_options.php';

// Astuce 4 : remplacer des variables dans un champ de type "Message" -> acf/load_field
require MSK_ACF_PATH . 'inc/4variables_in_message_fields.php';

// Astuce 5 : comparaison de 2 champs lors de la validation-> acf/validate_value
require MSK_ACF_PATH . 'inc/5fields_validation_compare_2_fields.php';

// Astuce 6 : enregistrement d'un champ -> nettoyer des WYSIWYG -> acf/update_value
require MSK_ACF_PATH . 'inc/6fields_update_sanitize_wysiwyg.php';

// Astuce 7 : enregistrer le post_title lorsqu'un autre champ est mis à jour -> acf/save_post
require MSK_ACF_PATH . 'inc/7fields_update_save_data_elsewhere.php';

// Astuce 8 : enregistrement d'un champ -> ne PAS enregistrer la valeur d'un champ -> acf/update_value
require MSK_ACF_PATH . 'inc/8fields_update_erase_data.php';